# Please keep this package in sync with FC

%global with_mingw 0
%if 0%{?mageia}
%global with_mingw 0%{!?_without_mingw:1}
%endif

%define oname		virt

%define api		1.0
%define major		0

%define libname_glib		%mklibname %{oname}-glib %{api} %{major}
%define develname_glib		%mklibname %{oname}-glib %{api} -d

%define libname_gconfig		%mklibname %{oname}-gconfig %{api} %{major}
%define develname_gconfig	%mklibname %{oname}-gconfig %{api} -d

%define libname_gobject		%mklibname %{oname}-gobject %{api} %{major}
%define develname_gobject	%mklibname %{oname}-gobject %{api} -d


%define girmajor	1.0
%define girname_glib		%mklibname %{oname}-glib-gir %{girmajor}
%define girname_gconfig		%mklibname %{oname}-gconfig-gir %{girmajor}
%define girname_gobject		%mklibname %{oname}-gobject-gir %{girmajor}

Name:		libvirt-glib
Version:	4.0.0
Release:	%mkrel 5
Summary:	libvirt glib integration for events
Group:		System/Libraries
License:	LGPLv2+
URL:		https://libvirt.org/
Source0:	https://libvirt.org/sources/glib/%{name}-%{version}.tar.xz
Patch1:		%{name}-%{version}-cast-align.patch
Patch2:		%{name}-%{version}-fix-g_str_equal-cast.patch
BuildRequires: meson
BuildRequires:	pkgconfig(glib-2.0) >= 2.38.0
BuildRequires:	pkgconfig(libvirt) >= 1.2.5
BuildRequires:	gobject-introspection-devel
BuildRequires:	pkgconfig(libxml-2.0)
# Hack due to https://bugzilla.redhat.com/show_bug.cgi?id=613466
BuildRequires:	libtool
BuildRequires:	vala
BuildRequires:	vala-tools
BuildRequires: gettext
BuildRequires: gtk-doc

%if %{with_mingw}
BuildRequires:  mingw32-filesystem
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-libvirt

BuildRequires:  mingw64-filesystem
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-libvirt
%endif


%description
This package provides integration between libvirt and the glib
event loop.


# ---------------------------------------------------------------------------


%package -n %{libname_glib}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration
Provides:	%{mklibname %{oname}-glib %{major}} = %{version}-%{release}

%description -n %{libname_glib}
This package provides APIs for processing the object configuration
data.

%files -n %{libname_glib} -f %name.lang
%doc README COPYING AUTHORS NEWS
%{_libdir}/libvirt-glib-%{api}.so.%{major}{,.*}


%package -n %{develname_glib}
Group:		System/Libraries
Summary:	libvirt glib integration for events development files
Requires:	%{libname_glib} = %{version}-%{release}
Requires:	%{girname_glib} = %{version}-%{release}
Provides:	%{name}-glib-devel = %version-%release
Provides:	%{oname}-glib-devel = %{version}-%{release}

%description -n %{develname_glib}
This package provides development header files and libraries for
integration between libvirt and the glib event loop.

%files -n %{develname_glib}
%doc examples/event-test.c
%{_libdir}/libvirt-glib-%{api}.so
%{_libdir}/pkgconfig/libvirt-glib-%{api}.pc
%dir %{_includedir}/libvirt-glib-%{api}
%dir %{_includedir}/libvirt-glib-%{api}/libvirt-glib
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib.h
%{_includedir}/libvirt-glib-%{api}/libvirt-glib/libvirt-glib-*.h
%{_datadir}/gir-1.0/LibvirtGLib-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-glib
%{_datadir}/vala/vapi/libvirt-glib-%{api}.deps
%{_datadir}/vala/vapi/libvirt-glib-%{api}.vapi


%package -n %{girname_glib}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_glib} = %{version}-%{release}

%description -n %{girname_glib}
GObject Introspection interface description for %{name}.

%files -n %{girname_glib}
%{_libdir}/girepository-1.0/LibvirtGLib-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package -n %{libname_gconfig}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration
Provides:	%{mklibname %{oname}-gconfig %{major}} = %{version}-%{release}

%description -n %{libname_gconfig}
This package provides APIs for processing the object configuration
data.

%files -n %{libname_gconfig}
%{_libdir}/libvirt-gconfig-%{api}.so.%{major}{,.*}


%package -n %{develname_gconfig}
Group:		System/Libraries
Summary:	libvirt object APIs for processing object configuration development files
Requires:	%{libname_gconfig} = %{version}-%{release}
Requires:	%{girname_gconfig} = %{version}-%{release}
Provides:	%{name}-gconfig-devel = %version-%release
Provides:	%{oname}-gconfig-devel = %{version}-%{release}

%description -n %{develname_gconfig}
This package provides development header files and libraries for
the object configuration APIs.

%files -n %{develname_gconfig}
%doc examples/event-test.c
%{_libdir}/libvirt-gconfig-%{api}.so
%{_libdir}/pkgconfig/libvirt-gconfig-%{api}.pc
%dir %{_includedir}/libvirt-gconfig-%{api}
%dir %{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig.h
%{_includedir}/libvirt-gconfig-%{api}/libvirt-gconfig/libvirt-gconfig-*.h
%{_datadir}/gir-1.0/LibvirtGConfig-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gconfig
%{_datadir}/vala/vapi/libvirt-gconfig-%{api}.deps
%{_datadir}/vala/vapi/libvirt-gconfig-%{api}.vapi


%package -n %{girname_gconfig}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gconfig} = %{version}-%{release}

%description -n %{girname_gconfig}
GObject Introspection interface description for %{name}.

%files -n %{girname_gconfig}
%{_libdir}/girepository-1.0/LibvirtGConfig-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%package -n %{libname_gobject}
Group:		System/Libraries
Summary:	libvirt object APIs for managing virtualization hosts
Provides:	%{mklibname %{oname}-gobject %{major}} = %{version}-%{release}

%description -n %{libname_gobject}
This package provides APIs for managing virtualization host
objects.

%files -n %{libname_gobject}
%{_libdir}/libvirt-gobject-%{api}.so.%{major}{,.*}

%package -n %{develname_gobject}
Group:		System/Libraries
Summary:	libvirt object APIs for managing virtualization hosts development files
Requires:	%{libname_gobject} = %{version}-%{release}
Requires:	%{girname_gobject} = %{version}-%{release}
Requires:	%{develname_glib} = %{version}-%{release}
Requires:	%{develname_gconfig} = %{version}-%{release}
Provides:	%{name}-gobject-devel = %version-%release
Provides:	%{oname}-gobject-devel = %{version}-%{release}

%description -n %{develname_gobject}
This package provides development header files and libraries for
managing virtualization host objects.

%files -n %{develname_gobject}
%doc examples/event-test.c
%{_libdir}/libvirt-gobject-%{api}.so
%{_libdir}/pkgconfig/libvirt-gobject-%{api}.pc
%dir %{_includedir}/libvirt-gobject-%{api}
%dir %{_includedir}/libvirt-gobject-%{api}/libvirt-gobject
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject.h
%{_includedir}/libvirt-gobject-%{api}/libvirt-gobject/libvirt-gobject-*.h
%{_datadir}/gir-1.0/LibvirtGObject-%{girmajor}.gir
%{_datadir}/gtk-doc/html/Libvirt-gobject
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.vapi
%{_datadir}/vala/vapi/libvirt-gobject-%{api}.deps


%package -n %{girname_gobject}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname_gobject} = %{version}-%{release}

%description -n %{girname_gobject}
GObject Introspection interface description for %{name}.

%files -n %{girname_gobject}
%{_libdir}/girepository-1.0/LibvirtGObject-%{girmajor}.typelib


# ---------------------------------------------------------------------------


%if %{with_mingw}
%package -n mingw32-libvirt-glib
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw32-libvirt-gconfig
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw32-libvirt-gobject
Summary: MingwGW Windows libvirt-gobject virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw64-libvirt-glib
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw64-libvirt-gconfig
Summary: MingwGW Windows libvirt-gconfig virtualization library
BuildArch: noarch
Requires: pkgconfig

%package -n mingw64-libvirt-gobject
Summary: MingwGW Windows libvirt-gobject virtualization library
BuildArch: noarch
Requires: pkgconfig

%description -n mingw32-libvirt-glib
MinGW Windows libvirt-glib virtualization library.

%description -n mingw32-libvirt-gconfig
MinGW Windows libvirt-gconfig virtualization library.

%description -n mingw32-libvirt-gobject
MinGW Windows libvirt-gobject virtualization library.


%description -n mingw64-libvirt-glib
MinGW Windows libvirt-glib virtualization library.

%description -n mingw64-libvirt-gconfig
MinGW Windows libvirt-gconfig virtualization library.

%description -n mingw64-libvirt-gobject
MinGW Windows libvirt-gobject virtualization library.

%{?mingw_debug_package}
%endif

%prep
%autosetup -p1


%build
%meson -Drpath=disabled
%meson_build

%if %{with_mingw}
%mingw_meson -Drpath=disabled -Ddocs=disabled -Dintrospection=disabled -Dvapi=disabled
%mingw_ninja
%endif

%install
%meson_install

%find_lang %{name}

%if %{with_mingw}
%mingw_ninja_install

%mingw_debug_install_post

%mingw_find_lang libvirt-glib
%endif

%check
%meson_test

%if %{with_mingw}
%files -n mingw32-libvirt-glib -f mingw32-libvirt-glib.lang
%doc README COPYING AUTHORS NEWS
%{mingw32_bindir}/libvirt-glib-1.0-0.dll

%{mingw32_libdir}/libvirt-glib-1.0.dll.a

%{mingw32_libdir}/pkgconfig/libvirt-glib-1.0.pc

%dir %{mingw32_includedir}/libvirt-glib-1.0
%dir %{mingw32_includedir}/libvirt-glib-1.0/libvirt-glib
%{mingw32_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib.h
%{mingw32_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib-*.h

%files -n mingw64-libvirt-glib -f mingw64-libvirt-glib.lang
%doc README COPYING AUTHORS NEWS
%{mingw64_bindir}/libvirt-glib-1.0-0.dll

%{mingw64_libdir}/libvirt-glib-1.0.dll.a

%{mingw64_libdir}/pkgconfig/libvirt-glib-1.0.pc

%dir %{mingw64_includedir}/libvirt-glib-1.0
%dir %{mingw64_includedir}/libvirt-glib-1.0/libvirt-glib
%{mingw64_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib.h
%{mingw64_includedir}/libvirt-glib-1.0/libvirt-glib/libvirt-glib-*.h



%files -n mingw32-libvirt-gconfig
%{mingw32_bindir}/libvirt-gconfig-1.0-0.dll

%{mingw32_libdir}/libvirt-gconfig-1.0.dll.a

%{mingw32_libdir}/pkgconfig/libvirt-gconfig-1.0.pc

%dir %{mingw32_includedir}/libvirt-gconfig-1.0
%dir %{mingw32_includedir}/libvirt-gconfig-1.0/libvirt-gconfig
%{mingw32_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig.h
%{mingw32_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig-*.h

%files -n mingw64-libvirt-gconfig
%{mingw64_bindir}/libvirt-gconfig-1.0-0.dll

%{mingw64_libdir}/libvirt-gconfig-1.0.dll.a

%{mingw64_libdir}/pkgconfig/libvirt-gconfig-1.0.pc

%dir %{mingw64_includedir}/libvirt-gconfig-1.0
%dir %{mingw64_includedir}/libvirt-gconfig-1.0/libvirt-gconfig
%{mingw64_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig.h
%{mingw64_includedir}/libvirt-gconfig-1.0/libvirt-gconfig/libvirt-gconfig-*.h



%files -n mingw32-libvirt-gobject
%{mingw32_bindir}/libvirt-gobject-1.0-0.dll

%{mingw32_libdir}/libvirt-gobject-1.0.dll.a

%{mingw32_libdir}/pkgconfig/libvirt-gobject-1.0.pc

%dir %{mingw32_includedir}/libvirt-gobject-1.0
%dir %{mingw32_includedir}/libvirt-gobject-1.0/libvirt-gobject
%{mingw32_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject.h
%{mingw32_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject-*.h

%files -n mingw64-libvirt-gobject
%{mingw64_bindir}/libvirt-gobject-1.0-0.dll

%{mingw64_libdir}/libvirt-gobject-1.0.dll.a

%{mingw64_libdir}/pkgconfig/libvirt-gobject-1.0.pc

%dir %{mingw64_includedir}/libvirt-gobject-1.0
%dir %{mingw64_includedir}/libvirt-gobject-1.0/libvirt-gobject
%{mingw64_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject.h
%{mingw64_includedir}/libvirt-gobject-1.0/libvirt-gobject/libvirt-gobject-*.h

%endif


%changelog
* Sat Nov 19 2022 ghibo <ghibo> 4.0.0-5.mga9
+ Revision: 1908823
- Add Patch2 to fix build fail

* Mon Nov 07 2022 tv <tv> 4.0.0-4.mga9
+ Revision: 1904438
- Pull in mingw sub-packages

* Tue Apr 05 2022 umeabot <umeabot> 4.0.0-2.mga9
+ Revision: 1844402
- Mageia 9 Mass Rebuild

* Sun Feb 28 2021 tv <tv> 4.0.0-1.mga9
+ Revision: 1693333
- 4.0.0
+ danf <danf>
- Switch URLs from http: to https:

* Tue Feb 18 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1538792
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Nov 26 2019 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1462918
- new version: 3.0.0

* Sat Oct 13 2018 tv <tv> 2.0.0-1.mga7
+ Revision: 1319967
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1299213
- Mageia 7 Mass Rebuild
+ tv <tv>
- run testsuite

* Sun Sep 10 2017 tv <tv> 1.0.0-1.mga7
+ Revision: 1152488
- new release

* Mon Feb 15 2016 umeabot <umeabot> 0.2.3-2.mga6
+ Revision: 961240
- Mageia 6 Mass Rebuild

* Mon Dec 21 2015 tv <tv> 0.2.3-1.mga6
+ Revision: 912839
- new release

* Tue Aug 18 2015 ovitters <ovitters> 0.2.2-1.mga6
+ Revision: 865788
- new version 0.2.2

* Mon Jun 29 2015 wally <wally> 0.2.1-2.mga6
+ Revision: 847728
- add requires for gir pkg to devel pkg

* Mon Jun 22 2015 ovitters <ovitters> 0.2.1-1.mga6
+ Revision: 839709
- new version 0.2.1
- new version 0.2.0

* Wed Oct 15 2014 umeabot <umeabot> 0.1.9-5.mga5
+ Revision: 748183
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.9-4.mga5
+ Revision: 726915
- rebuild for missing pythoneggs deps

* Fri Sep 26 2014 wally <wally> 0.1.9-3.mga5
+ Revision: 724933
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.1.9-2.mga5
+ Revision: 681842
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq

* Wed Aug 20 2014 ovitters <ovitters> 0.1.9-1.mga5
+ Revision: 666063
- new version 0.1.9

* Sat May 31 2014 pterjan <pterjan> 0.1.8-2.mga5
+ Revision: 628313
- Rebuild for new Python

* Sun May 18 2014 tv <tv> 0.1.8-1.mga5
+ Revision: 623574
- add translations to file list
- disable parallel build
- new release

* Fri Jan 24 2014 oden <oden> 0.1.7-3.mga4
+ Revision: 567707
- rebuilt for libvirt 1.2.1

* Sat Oct 19 2013 umeabot <umeabot> 0.1.7-2.mga4
+ Revision: 530699
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 neoclust <neoclust> 0.1.7-1.mga4
+ Revision: 459168
- New version

* Sat May 25 2013 blino <blino> 0.1.6-1.mga4
+ Revision: 427680
- 0.1.6

* Sat Jan 12 2013 umeabot <umeabot> 0.1.2-2.mga3
+ Revision: 358350
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 21 2012 ovitters <ovitters> 0.1.2-1.mga3
+ Revision: 282978
- new version 0.1.2

* Tue Aug 07 2012 ovitters <ovitters> 0.1.1-1.mga3
+ Revision: 279632
- new version 0.1.1

* Mon Jul 16 2012 ovitters <ovitters> 0.1.0-1.mga3
+ Revision: 271432
- new version 0.1.0

* Wed Jun 27 2012 ovitters <ovitters> 0.0.9-1.mga3
+ Revision: 264571
- new version 0.0.9

* Tue May 29 2012 ovitters <ovitters> 0.0.8-1.mga3
+ Revision: 249180
- new version 0.0.8

* Sun Apr 01 2012 ovitters <ovitters> 0.0.7-1.mga2
+ Revision: 227702
- new version 0.0.7

* Fri Mar 09 2012 fwang <fwang> 0.0.6-1.mga2
+ Revision: 222086
- new version 0.0.6
- new version 0.0.6

* Wed Feb 22 2012 ovitters <ovitters> 0.0.5-1.mga2
+ Revision: 212354
- update buildrequires
- new version

* Mon Jan 16 2012 ovitters <ovitters> 0.0.4-1.mga2
+ Revision: 197031
- new version

* Tue Dec 20 2011 wally <wally> 0.0.3-1.mga2
+ Revision: 184996
- new version 0.0.3

* Thu Dec 01 2011 fwang <fwang> 0.0.2-2.mga2
+ Revision: 174818
- exclude req from doc files
- update file list

* Wed Nov 30 2011 ovitters <ovitters> 0.0.2-1.mga2
+ Revision: 174557
- fix buildrequires
- imported package libvirt-glib

